﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Tools.Controls;

namespace TabNavigation
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        int OldIndex, NewIndex;

        public MainWindow()
        {
            InitializeComponent();
        }
       
        private void Next()
        {
            MessageBox.Show("Next");
        }
        
        private void Previous()
        {
            MessageBox.Show("Previous");
        }

        private void Tab_SelectionChanging(object sender, TabSelectionChangingEventArgs e)
        {
            int oldItemIndex = e.OldItem == null ? -1 : (sender as TabNavigationControl).Items.IndexOf(e.OldItem);
            int newItemIndex = e.NewItem == null ? -1 : (sender as TabNavigationControl).Items.IndexOf(e.NewItem);
            if (OldIndex == oldItemIndex && NewIndex == newItemIndex)
            {
                return;
            }
            else
            {
                OldIndex = oldItemIndex;
                NewIndex = newItemIndex;
            }
            if (oldItemIndex < newItemIndex)
            {
                Next();
            }
            else if (oldItemIndex > newItemIndex)
            {
                Previous();
            }
        }
    }
}
